from django.urls import path

from . import views

app_name = 'accounts'

urlpatterns = [
    # Authentication and password reset
    path('login/', views.LoginView.as_view(), name='login'),
    path('logout/', views.LogoutView.as_view(), name='logout'),
    path('password/reset/',
         views.PasswordResetView.as_view(),
         name='password_reset'),
    path('password/reset/<uidb64>/<token>/',
         views.PasswordResetConfirmView.as_view(),
         name='password_reset_confirm'),
    path('password/change/',
         views.PasswordChangeView.as_view(),
         name='password_change'),

    # Profile
    path('update/', views.UserUpdateView.as_view(), name='update'),

    # Registration
    path('activate/resend/',
         views.ResendActivationView.as_view(),
         name='registration_resend_activation'),
    path('activate/<activation_key>/',
         views.ActivationView.as_view(),
         name='registration_activate'),
    path('register/complete/',
         views.RegistrationCompleteView.as_view(),
         name='registration_complete'),
    path('register/closed/',
         views.RegistrationClosedView.as_view(),
         name='registration_closed'),
    path('register/',
         views.RegistrationView.as_view(),
         name='registration_register'),
]
