from django.core.exceptions import ValidationError

import pytest

from benevalibre.instance import models


@pytest.mark.django_db
class TestRoles:
    def test_raise_exception_on_multiple_new_comers_default_role(self):
        with pytest.raises(ValidationError, match="possède déjà l'attribut"):
            models.DefaultRole.objects.create(name='bling', new_comers=True)

    def test_raise_exception_on_zero_new_comers_default_role(self):
        role = models.DefaultRole.objects.get_benevole()
        role.new_comers = False

        with pytest.raises(ValidationError, match="ne possède l'attribut"):
            role.clean()
